addCollaborator
POST /v5/books/{bookId}/collaborators
Add or update a collaborator to the book
Authorizations
Parameters
Path Parameters
The id of the book. Same bookId url param on Bkper
Query Parameters
Optional message to send with the invitation email
Request Body
object
The id of agent that created the resource
The Collaborator public avatar url
The creation timestamp, in milliseconds
The email of the Collaborator
The unique id that identifies the Collaborator in the Book
The permission the Collaborator has in the Book
The last update timestamp, in milliseconds
Responses
200
A Collaborator response
object
The id of agent that created the resource
The Collaborator public avatar url
The creation timestamp, in milliseconds
The email of the Collaborator
The unique id that identifies the Collaborator in the Book
The permission the Collaborator has in the Book
The last update timestamp, in milliseconds
Examples
{ "agentId": "string", "avatarUrl": "string", "createdAt": "1592000000000", "email": "string", "id": "string", "permission": "OWNER", "updatedAt": "1592000000000"}default
An error response from the Bkper API or its public API proxy.
A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.